# eric7.VirtualEnv.VirtualenvUpgradeConfigurationDialog

Module implementing a dialog to enter the virtual environment upgrade parameters.

### Global Attributes

None

### Classes

VirtualenvUpgradeConfigurationDialog | Class implementing a dialog to enter the virtual environment upgrade parameters.

### Functions

None

## VirtualenvUpgradeConfigurationDialog

Class implementing a dialog to enter the virtual environment upgrade parameters.

### Derived from

QDialog, Ui_VirtualenvUpgradeConfigurationDialog

### Class Attributes

None

### Class Methods

None

### Methods

VirtualenvUpgradeConfigurationDialog | Constructor
__getPyvenvVersion | Private method to determine the version of the venv module.
__updateOkButton | Private slot to set the enabled state of the OK button.
__updateUpgradeDepsCheckBox | Private slot to set the enabled state of the button depending on the version of the given Python interpreter.
getData | Public method to retrieve the dialog data.

### Static Methods

None

#### VirtualenvUpgradeConfigurationDialog (Constructor)

VirtualenvUpgradeConfigurationDialog(envName, envPath, parent=None)

Constructor

envName (str)
  name of the environment to be upgraded
envPath (str)
  directory of the environment to be upgraded
parent (QWidget (optional))
  reference to the parent widget (defaults to None)

#### VirtualenvUpgradeConfigurationDialog.__getPyvenvVersion

__getPyvenvVersion()

Private method to determine the version of the venv module.

Return:
  tuple containing the venv modules version

Return Type:
  tuple of (int, int, int)

#### VirtualenvUpgradeConfigurationDialog.__updateOkButton

__updateOkButton()

Private slot to set the enabled state of the OK button.

#### VirtualenvUpgradeConfigurationDialog.__updateUpgradeDepsCheckBox

__updateUpgradeDepsCheckBox()

Private slot to set the enabled state of the button depending on the version of the given Python interpreter.

#### VirtualenvUpgradeConfigurationDialog.getData

getData()

Public method to retrieve the dialog data.

Return:
  tuple containing the selected python executable, the list of arguments and a flag indicating to write a log file

Return Type:
  tuple of (str, list of str, bool)

Up